<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            
            <xsd:simpleType name="ColorComponent">
                <xsd:annotation>
                    <xsd:documentation>
                        A color component is a double value between 0.0 and 1.0
                        0.0 = component is not added to the global color
                        1.0 = full addition of the color
                    </xsd:documentation>
                </xsd:annotation>
                <xsd:restriction base="xsd:double">
                    <xsd:minInclusive value="0.0"/>
                    <xsd:maxInclusive value="1.0"/>
                </xsd:restriction>
            </xsd:simpleType>
                    
</xsd:schema>